summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-04-11 00:24:32 -0500
committerTim Harder <radhermit@gentoo.org>2019-04-11 00:24:32 -0500
commitb80559d03dd485fffd09e8fcc28f536e8e087c8f (patch)
tree0770c835e1cd5319cfa46383db018dcf761607a0 /dev-python
parentdev-python/hypothesis: version bump to 4.15.0 (diff)
downloadgentoo-b80559d03dd485fffd09e8fcc28f536e8e087c8f.tar.gz
gentoo-b80559d03dd485fffd09e8fcc28f536e8e087c8f.tar.bz2
gentoo-b80559d03dd485fffd09e8fcc28f536e8e087c8f.zip
dev-python/more-itertools: version bump to 7.0.0
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/more-itertools/Manifest1
-rw-r--r--dev-python/more-itertools/more-itertools-7.0.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/more-itertools/Manifest b/dev-python/more-itertools/Manifest
index 25d315a7d50..549ce957c29 100644
--- a/dev-python/more-itertools/Manifest
+++ b/dev-python/more-itertools/Manifest
@@ -1,3 +1,4 @@
DIST more-itertools-4.2.0.tar.gz 56871 BLAKE2B 48cdba3eebea94483c5cfd9530d4bd2cacd02e893b87482a01ff1fdf10336f3c2a40d32fbb935d38320c9c47a1fd1942a48ea12ff07ae56793ecc5870fef2452 SHA512 7e205a575fb1d17ed3be9225c5c60139db41cc4b866f6d6732c955536b1d606bb7ccd92ad77e41159965abbddec3a85761d3649c28f06d52afa8476160d70e77
DIST more-itertools-5.0.0.tar.gz 67359 BLAKE2B a2448b218eea4442cc4739a4df414ba69e0530cd6206a13c5c017a13daa297d00c08a94cec8aec0639d8b03663f4b698702f5e700ae118ae9fb5854a6d105b36 SHA512 f72c8d6c75799c39708443ba75862801ddd3fc0382c9eee7ed24ecf04cbc7d9ff6a8e35b6fff1eaccf45ddd470c2cc8959532eca32c2ff50b0a12588727c68b4
DIST more-itertools-6.0.0.tar.gz 68178 BLAKE2B 64a389cfd3449c4711228fcd3092f6d7f62968aeaf0574fcce4bc3223da8b7633d0cbdd727cf4d56f536aa925dbcf78b6b8c3a2a3ba3ef8a0b677811367d087a SHA512 68ac1829a1a27d3f1de1f95c33a9c3f236fe80f597b9183707de0d9cd193ca5a662080e64c54c376ae59fd0a3a224ac62a9d39be4d0ba425103c4fd6e93e61ac
+DIST more-itertools-7.0.0.tar.gz 70103 BLAKE2B fa7556019ad4c2e8905698c1295840176b763bf1b7356679eb3988112b962adfbdefa82e7ca7419d350b40186a3ec5015314cdd7229dee867bd03fba716165f5 SHA512 730add0e26d62abd2d5e49cb662d58db244a241e272e16d05c25c7bf2ebe8a2e28b2b2b5038082d5773358b50e05d5f9a93f88957dc1b13daf30686047f41bc5
diff --git a/dev-python/more-itertools/more-itertools-7.0.0.ebuild b/dev-python/more-itertools/more-itertools-7.0.0.ebuild
new file mode 100644
index 00000000000..9068c6fc512
--- /dev/null
+++ b/dev-python/more-itertools/more-itertools-7.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="More routines for operating on iterables, beyond itertools"
+HOMEPAGE="https://pypi.org/project/more-itertools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND=""
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ )
+"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "tests fail with ${EPYTHON}"
+}